<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>certificate-registry</artifactId>
        <groupId>com.scytl.products.ov.channel.cr</groupId>
        <version>2.1.7</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.scytl.products.ov.channel.cr.services</groupId>
    <artifactId>certificate-registry-services</artifactId>
    <packaging>jar</packaging>
    <name>Online Voting - Certificate Registry - Services</name>

    <dependencies>
        <!-- Local dependencies -->
        <!-- OV Commons -->
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-logging</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
            <artifactId>ov-commons-lib-persistence</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-beans</artifactId>
        </dependency>
        
        <!-- CryptoLib dependencies -->
        <dependency>
            <artifactId>cryptolib-certificates</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
        </dependency>
        <dependency>
            <artifactId>cryptolib-asymmetric</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- JPA Service provider -->
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-entitymanager</artifactId>
        </dependency>
    </dependencies>
    <profiles>
      <profile>
        <id>skipTestRun</id>
        <activation>
          <property>
            <name>skipTests</name>
            <value>!true</value>
          </property>
        </activation>
        <dependencies>
          <dependency>
              <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
              <artifactId>ov-commons-lib-persistence</artifactId>
              <version>${project.version}</version>
              <type>test-jar</type>
              <scope>test</scope>
          </dependency>
        </dependencies>
      </profile>
    </profiles>

</project>
